dots.v2.databases.byDatabase_cluster_uuid().schemaRegistry.bySubject_name().get()

Generated on 5 Nov 2026 from DoTs version v1.23.0

Usage

client.v2.databases.byDatabase_cluster_uuid(database_cluster_uuid).schemaRegistry.bySubject_name(subject_name).get(requestConfiguration?: RequestConfiguration<object>): Promise<undefined | Kafka_schema_version_verbose>

Description

To get a specific schema by subject name for a Kafka cluster, send a GET request to /v2/databases/{database_cluster_uuid}/schema-registry/{subject_name}.

Parameters

database_cluster_uuid string required

Example: 9cc10173-e9ea-4176-9dbc-a4cee4c4ff30

A unique identifier for a database cluster.

subject_name string required

Example: customer-schema

The name of the Kafka schema subject.

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.databases
    .byDatabase_cluster_uuid("9cc10173-e9ea-4176-9dbc-a4cee4c4ff30").schemaRegistry
    .bySubject_name("customer-schema").get();

Response Example

Show Response Example
{
  "schema_id": 12345,
  "version": "1",
  "subject_name": "customer-schema",
  "schema_type": "AVRO",
  "schema": "{\n  \"type\": \"record\",\n  \"name\": \"Customer\",\n  \"fields\": [  \n    {\"name\": \"id\", \"type\": \"int\"},\n    {\"name\": \"name\", \"type\": \"string\"}\n  ]\n} "
}

More Information

See /v2/databases/{database_cluster_uuid}/schema-registry/{subject_name} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.